Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class JDBCInteract

    java.lang.Object
      |
      +--oracle.jbo.server.JDBCInteract

public class JDBCInteract
extends java.lang.Object

Internal: Applications should not use this class.

Field Summary
`static boolean` | `mDoTrace`

Constructor Summary
`JDBCInteract()`

Method Summary
`static void` | `closeConn()`
`static void` | `closeStmt(java.sql.Statement st)`
`static void` | `commit()`
`static void` | `connect(java.lang.String s)`
`static void` | `connect(java.lang.String s, java.util.Properties props)`
`static void` | `connect(java.lang.String s, java.lang.String u, java.lang.String p)`
`static void` | `createStatement()`
`static void` | `execute(java.sql.Statement st)`
`static void` | `executeQuery(java.sql.Statement st)`
`static void` | `executeUpdate(java.sql.Statement st, java.lang.String s)`
`static java.lang.String` | `getStmtVarName(java.sql.Statement st)`
`static java.lang.String` | `getValueString(java.lang.Object val)`
`static void` | `header()`
`static void` | `init()`
`static void` | `prepareCall(java.lang.String s)`
`static void` | `prepareStatement(java.lang.String s)`
`static void` | `println(java.lang.String s)`
`static void` | `registerOutParameter(java.sql.Statement st, int indx, int type)`
`static void` | `rollback()`
`static void` | `setAutoCommit(boolean b)`
`static void` | `setNull(java.sql.Statement st, int indx, int type, AttributeDef attr)`
`static void` | `setObject(java.sql.Statement st, int indx, java.lang.Object val, AttributeDef attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mDoTrace

    public static boolean mDoTrace

Constructor Detail

### JDBCInteract

    public JDBCInteract()

Method Detail

### init

    public static void init()

### getStmtVarName

    public static java.lang.String getStmtVarName(java.sql.Statement st)

### getValueString

    public static java.lang.String getValueString(java.lang.Object val)

### println

    public static void println(java.lang.String s)

### header

    public static void header()

### connect

    public static void connect(java.lang.String s)

### connect

    public static void connect(java.lang.String s,
                               java.util.Properties props)

### connect

    public static void connect(java.lang.String s,
                               java.lang.String u,
                               java.lang.String p)

### setAutoCommit

    public static void setAutoCommit(boolean b)

### commit

    public static void commit()

### rollback

    public static void rollback()

### closeConn

    public static void closeConn()

### closeStmt

    public static void closeStmt(java.sql.Statement st)

### createStatement

    public static void createStatement()

### prepareStatement

    public static void prepareStatement(java.lang.String s)

### prepareCall

    public static void prepareCall(java.lang.String s)

### executeUpdate

    public static void executeUpdate(java.sql.Statement st,
                                     java.lang.String s)

### execute

    public static void execute(java.sql.Statement st)

### executeQuery

    public static void executeQuery(java.sql.Statement st)

### setNull

    public static void setNull(java.sql.Statement st,
                               int indx,
                               int type,
                               AttributeDef attr)

### setObject

    public static void setObject(java.sql.Statement st,
                                 int indx,
                                 java.lang.Object val,
                                 AttributeDef attr)

### registerOutParameter

    public static void registerOutParameter(java.sql.Statement st,
                                            int indx,
                                            int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD